//
//  SITPOICategory.h
//  SitumSDK
//
//  Created by A Barros on 14/6/16.
//  Copyright © 2016 Situm. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "SITResource.h"
#import "SITMultilanguageString.h"
#import "SITURL.h"
/**
 *  It represents the types of POI
 */
@interface SITPOICategory : SITResource

#pragma mark - Properties

/**
 Name in multiple languages
 */
@property (nonatomic, strong) SITMultilanguageString * _Nonnull name;

/**
 *  Complementary text identifier of a category
 */
@property (nonatomic, strong) NSString * _Nonnull code;

/**
 *  Relative URL where the icon of the category for the normal state can be retrieved
 */
@property (nonatomic, strong) SITURL * _Nonnull iconURL;

/**
 *  Relative URL where the icon of the category for the selected state can be retrieved
 */
@property (nonatomic, strong) SITURL * _Nonnull selectedIconURL;

/**
 *  Determines the visibility of a category (YES means available to all users, NO means available to a particular user). 
 */
@property (nonatomic) BOOL isPublic;

#pragma mark - Deprecated

/**
 *  Name of the category in English
 */
@property (nonatomic, strong) NSString * _Nonnull nameEn __attribute__((deprecated("Use -valueForLocale method of the name property instead.")));

/**
 *  Name of the category in Spanish
 */
@property (nonatomic, strong) NSString * _Nonnull nameEs __attribute__((deprecated("Use -valueForLocale method of the name property instead.")));

@end
